Description: Fix power function issues
Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520589
Last-Update: 2009-04-14
Index: num-utils-0.5/numprocess
===================================================================
--- num-utils-0.5.orig/numprocess	2016-08-06 08:56:18.862570107 +0200
+++ num-utils-0.5/numprocess	2016-08-06 08:56:18.858570107 +0200
@@ -148,7 +148,7 @@
         } elsif ($operation =~ /^\%($match_expression)$/) {
             $new_number = $new_number / $1;
         } elsif ($operation =~ /^\^($match_expression)$/) {
-            $new_number = $new_number^$1;
+            $new_number = ($new_number) ** ($1);
         } elsif ($operation =~ /^sqrt$/) {
             if ($new_number < 0) { # let's do something nice for negative sqrts.
                 $new_number *= -1;
